---
lang: en
title: 'API docs: repository.hasmanyrepository.find'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.hasmanyrepository.find.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [HasManyRepository](./repository.hasmanyrepository.md) &gt; [find](./repository.hasmanyrepository.find.md)

## HasManyRepository.find() method

Find target model instance(s)

<b>Signature:</b>

```typescript
find(filter?: Filter<Target>, options?: Options): Promise<Target[]>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  filter | <code>Filter&lt;Target&gt;</code> | A filter object for where, order, limit, etc. |
|  options | <code>Options</code> | Options for the operation |

<b>Returns:</b>

`Promise<Target[]>`

A promise which resolves with the found target instance(s)


